Skip to content
EntitlerDocs

GET/v1/customers/{external_id}/segments

List a customer's segments

Judges each segment of the customer's served catalogue and answers whether the customer is in it, and otherwise the first test they failed. Needs customers:read.

curl 'https://api.entitler.co/v1/customers/ada/segments' \
  -H "Authorization: Bearer $ENTITLER_KEY"

Credentials

Send any one of these:

  • Bearer token

Path parameters

NameTypeDescription
external_idrequiredstring

Query parameters

NameTypeDescription
target.team_idstring
target.project_idstring
target.environment_idstring

Responses

200The ListCustomerSegmentsResponse message.

ListCustomerSegmentsResponse

  • segmentsarray of CustomerSegmentrequired
    • attributeKeystring
    • inSegmentbooleanrequired
    • keystringrequired
    • segmentKeystring

ErrorA refusal, with the HTTP status of its gRPC code.

Error

  • errorobjectrequired
    • codestringrequired
    • parametersobjectrequired

      Each value: string

    • reasonstringor nullrequired